# coding: utf-8
import RPi.GPIO as GPIO
import time

GPIO.setmode(GPIO.BOARD)

#Définition du pin sur la broche 37
lepin = 37 # (GPIO 25)

#position initial OFF
GPIO.setup(37, GPIO.IN, pull_up_down=GPIO.PUD_DOWN)

def rc_time (lepin):
    count = 0
    
    while True:  
      if GPIO.input(lepin) == GPIO.HIGH:
        count += 1
        print("Comptage %s" % (count))
        time.sleep(.1)
 
try:
    # Boucle éternelle
    while True:
        print rc_time(lepin)
except KeyboardInterrupt:
    pass
finally:
    GPIO.cleanup()
