# coding: utf-8
import RPi.GPIO as GPIO
import time

GPIO.setmode(GPIO.BOARD)

#Définition du pin sur la broche 13
pin_to_circuit = 13 # (GPIO 2)

def rc_time (pin_to_circuit):
    count = 0

    #Configuration en sortie
    GPIO.setup(pin_to_circuit, GPIO.OUT)
    GPIO.output(pin_to_circuit, GPIO.LOW)
    time.sleep(0.1)  #pause de charge

    #Configuration en entrée
    GPIO.setup(pin_to_circuit, GPIO.IN)

    #Comptage
    while (GPIO.input(pin_to_circuit) == GPIO.LOW):
        count += 1

    return count

try:
    # Boucle éternelle
    while True:
        print rc_time(pin_to_circuit)
except KeyboardInterrupt:
    pass
finally:
    GPIO.cleanup()
