# coding: utf-8
import RPi.GPIO as GPIO
import time

PirPin = 22    # pin22 (GPIO 6)

def setup():
  GPIO.setmode(GPIO.BOARD)       # Numéro GPIO par broche physique
  GPIO.setup(PirPin, GPIO.IN)    # PirPin en mode input
  
def relaytest():
  nbmvt = 1
  
  print "PIR Module Test (CTRL+C pour stopper)"
  time.sleep(1)
  print "Ready"

  while True:
    if GPIO.input(PirPin):
      print "Mouvement %d!" % nbmvt
      nbmvt = nbmvt + 1
      time.sleep(2)

    time.sleep(.1)
	
def destroy():
  GPIO.cleanup()             # Ressources libérées
  
if __name__ == '__main__':   # Démarrage en Python
  setup()
  try:
    relaytest()
    destroy()
  except KeyboardInterrupt:  # Interruption avec 'Ctrl+C'
    destroy()