# coding: utf-8
import RPi.GPIO as GPIO
import time

RelayPin = 16    # pin16 (GPIO 4)

def setup():
  GPIO.setmode(GPIO.BOARD)         # Numéro GPIO par broche physique
  GPIO.setup(RelayPin, GPIO.OUT)   # RelayPin en mode output

  GPIO.output(RelayPin, GPIO.HIGH)
  time.sleep(3)
  GPIO.output(RelayPin, GPIO.LOW)
  time.sleep(3)

  GPIO.cleanup()                   # Ressources libérées

if __name__ == '__main__':   # Démarrage en Python
  setup()
